(***********************************************************************)
(*                                                                     *)
(*                           Objective Caml                            *)
(*                                                                     *)
(*             Damien Doligez, projet Para, INRIA Rocquencourt         *)
(*                                                                     *)
(*  Copyright 1999 Institut National de Recherche en Informatique et   *)
(*  en Automatique.  All rights reserved.  This file is distributed    *)
(*  under the terms of the Q Public License version 1.0.               *)
(*                                                                     *)
(***********************************************************************)

(* $Id: printast.mli,v 1.8 2005/03/25 23:56:39 kswadi Exp $ *)

open Parsetree;;
open Format;;

val interface : formatter -> signature_item list -> unit;;
val implementation : formatter -> structure_item list -> unit;;
val top_phrase : formatter -> toplevel_phrase -> unit;;
val expr : formatter -> expression -> unit;;  (* XXO *)
val core_type : int -> formatter -> core_type -> unit;; (* XXO *)
val inpc : formatter -> expression -> unit;;  (* OXX *)
val top_phrase_pretty : formatter -> toplevel_phrase -> unit;;  (* OXX *)
val inpc_string : expression -> string ;;  (* OXX *)

