$timeutil_base = "../time_util/time_util";

foreach $file (<*.ml>) {
  $_ = $file;
  s/(.*)[.]ml/$1/;
  $filename = $_;

if ($_ = $ARGV[0], /COMPILE/) {
    #   print STDOUT ">>>Compiling files...\n";
    # re-generate time utils
    print STDOUT `ocamlc -c $timeutil_base.ml`;
    print STDOUT `ocamlopt -c $timeutil_base.ml`;
    print STDOUT `cp $timeutil_base.cm* $timeutil_base.o .`;
    foreach $srcname (<$filename.ml>) {
      print STDOUT ">>>   $srcname\n";
  }
   # do the compilation, first bytecode, then native code
   print STDOUT `time ocamlc -o $filename.bytecode time_util.cmo $filename.ml`; 
   print STDOUT `time ocamlopt -o $filename.native time_util.cmx $filename.ml`; 
  }

 elsif ($_ = $ARGV[0], /RUNALL/) {
     #   print STDOUT ">>>Compiling files...\n";
    foreach $srcname (<$filename.ml>) {
      print STDOUT ">>>   $srcname\n";
  }
    print STDOUT `time ./$filename.bytecode`;
    print STDOUT `time ./$filename.native`;
}
}
