Trx.load_csp_array ();;

Trx.load_compiled_code_hook := fun n ->
  let plugin_name = "plugin" ^ (string_of_int n) in
(*
  print_endline "press enter to compile plugin";
  ignore (read_line ());
*)
  ignore (Sys.command ("%%BINDIR%%/ocamlopt -shared -o " ^ plugin_name ^
                       ".cms " ^ plugin_name ^ ".cmx"));
(*
  print_endline "press enter to load plugin";
  ignore (read_line ());
*)
  try
    let handle = Natdynlink.loadfile ("./" ^ plugin_name ^ ".cms") in
    () (* print_endline "plugin loaded";
    Natdynlink.unload handle *)
  with Natdynlink.Error e ->
    prerr_endline (Natdynlink.error_message e)
